List matching risk profiles
curl --request GET \
--url https://api-v2.tryadvocate.com/rest/risk-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.tryadvocate.com/rest/risk-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.tryadvocate.com/rest/risk-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"type": "STANDALONE",
"protectionScore": 123,
"assetTypes": [
"<string>"
],
"certificateHolders": [
"<string>"
],
"certificateHolderClauseTypes": [
{
"id": "<string>",
"types": [
"mortgagee"
],
"defaultForTypes": [
"mortgagee"
]
}
],
"isPublished": true,
"isLatestVersion": true,
"publishedAt": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"limit": 123,
"offset": 123,
"total": 123
}
}Risk Profiles
List matching risk profiles
GET
/
rest
/
risk-profiles
List matching risk profiles
Authorizations
Service account token (live_ or test_ prefix)
Query Parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes